<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: Class Index</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Index</div>  </div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter_B">B</a>&#160;|&#160;<a class="qindex" href="#letter_K">K</a>&#160;|&#160;<a class="qindex" href="#letter_L">L</a>&#160;|&#160;<a class="qindex" href="#letter_N">N</a>&#160;|&#160;<a class="qindex" href="#letter_P">P</a>&#160;|&#160;<a class="qindex" href="#letter_R">R</a>&#160;|&#160;<a class="qindex" href="#letter_S">S</a>&#160;|&#160;<a class="qindex" href="#letter_V">V</a></div>
<div class="classindex">
<dl class="classindex even">
<dt class="alphachar"><a name="letter_B">B</a></dt>
<dd><a class="el" href="class_behaviour.html">Behaviour</a></dd><dd><a class="el" href="class_behaviour_table.html">BehaviourTable</a></dd><dd><a class="el" href="class_breathe_l_e_ds.html">BreatheLEDs</a></dd><dd><a class="el" href="class_button.html">Button</a></dd><dd><a class="el" href="class_button_clicked.html">ButtonClicked</a></dd><dd><a class="el" href="class_button_held.html">ButtonHeld</a></dd><dd><a class="el" href="class_button_pressed.html">ButtonPressed</a></dd><dd><a class="el" href="class_button_released.html">ButtonReleased</a></dd><dd><a class="el" href="class_button_tick.html">ButtonTick</a></dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a name="letter_K">K</a></dt>
<dd><a class="el" href="structkey_value_pair.html">keyValuePair</a></dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a name="letter_L">L</a></dt>
<dd><a class="el" href="class_light_all_l_e_ds.html">LightAllLEDs</a></dd><dd><a class="el" href="class_light_some_l_e_ds.html">LightSomeLEDs</a></dd><dd><a class="el" href="class_link.html">Link</a></dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a name="letter_N">N</a></dt>
<dd><a class="el" href="class_name_dictionary.html">NameDictionary</a></dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a name="letter_P">P</a></dt>
<dd><a class="el" href="class_ping_server.html">PingServer</a></dd><dd><a class="el" href="class_potentiometer.html">Potentiometer</a></dd><dd><a class="el" href="class_potentiometer_updated.html">PotentiometerUpdated</a></dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a name="letter_R">R</a></dt>
<dd><a class="el" href="class_rotary_encoder.html">RotaryEncoder</a></dd><dd><a class="el" href="class_rotary_encoder_updated.html">RotaryEncoderUpdated</a></dd></dl>
<dl class="classindex even">
<dt class="alphachar"><a name="letter_S">S</a></dt>
<dd><a class="el" href="class_send_capabilities.html">SendCapabilities</a></dd><dd><a class="el" href="class_servo_go_and_return.html">ServoGoAndReturn</a></dd><dd><a class="el" href="class_servo_go_to.html">ServoGoTo</a></dd><dd><a class="el" href="class_servo_wiggle.html">ServoWiggle</a></dd></dl>
<dl class="classindex odd">
<dt class="alphachar"><a name="letter_V">V</a></dt>
<dd><a class="el" href="class_viz_block.html">VizBlock</a></dd></dl>
</div>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
